Rated 5 out of 5 stars

Not needed for FF 3.04 and (hopefully) beyond. Excellent add-on for 1x and 2x, however. All respect to Xavier Robin for expertly filling a need.